org.eclipse.oomph.setup.targlets

## Interface SetupTargletsPackage.Literals

- Enclosing interface:
    SetupTargletsPackage

      public static interface SetupTargletsPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EClass` | `TARGLET_TASK` The meta object literal for the '`Targlet Task`' class.
    `static EAttribute` | `TARGLET_TASK__ARCHITECTURE` The meta object literal for the 'Architecture' attribute feature.
    `static EAttribute` | `TARGLET_TASK__LOCALE` The meta object literal for the 'Locale' attribute feature.
    `static EAttribute` | `TARGLET_TASK__OPERATING_SYSTEM` The meta object literal for the 'Operating System' attribute feature.
    `static EAttribute` | `TARGLET_TASK__TARGLET_UR_IS` The meta object literal for the 'Targlet UR Is' attribute list feature.
    `static EReference` | `TARGLET_TASK__TARGLETS` The meta object literal for the 'Targlets' containment reference list feature.
    `static EAttribute` | `TARGLET_TASK__WINDOWING_SYSTEM` The meta object literal for the 'Windowing System' attribute feature.

- - ### Field Detail

    - #### TARGLET_TASK

          static final EClass TARGLET_TASK

      The meta object literal for the '`Targlet Task`' class.
      See Also:
        `TargletTaskImpl`, `SetupTargletsPackageImpl.getTargletTask()`
      Generated

    - #### TARGLET_TASK__TARGLETS

          static final EReference TARGLET_TASK__TARGLETS

      The meta object literal for the 'Targlets' containment reference list feature.
      Generated

    - #### TARGLET_TASK__TARGLET_UR_IS

          static final EAttribute TARGLET_TASK__TARGLET_UR_IS

      The meta object literal for the 'Targlet UR Is' attribute list feature.
      Generated

    - #### TARGLET_TASK__OPERATING_SYSTEM

          static final EAttribute TARGLET_TASK__OPERATING_SYSTEM

      The meta object literal for the 'Operating System' attribute feature.
      Generated

    - #### TARGLET_TASK__WINDOWING_SYSTEM

          static final EAttribute TARGLET_TASK__WINDOWING_SYSTEM

      The meta object literal for the 'Windowing System' attribute feature.
      Generated

    - #### TARGLET_TASK__ARCHITECTURE

          static final EAttribute TARGLET_TASK__ARCHITECTURE

      The meta object literal for the 'Architecture' attribute feature.
      Generated

    - #### TARGLET_TASK__LOCALE

          static final EAttribute TARGLET_TASK__LOCALE

      The meta object literal for the 'Locale' attribute feature.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html